import ooo2sdbk
import os.path
import sys

if __name__ == "__main__":
    if sys.argv[1:]:
        oooFile = sys.argv[1]
        imgpath = sys.argv[2]
        outfile = sys.argv[3]

        ooo2sdbk.extract(oooFile, imgpath=imgpath, globalXML=outfile )

    else:
        print "usage: docbook-convert openoffice-infile imgpath outfile"
        